"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Demo_1 = require("../demo/Demo");
var Button_1 = require("./Button");
var React = require("react");
var storybook_1 = require("@devexperts/tools/dist/utils/storybook");
var demoStyle = {
    fontWeight: 'bold',
    color: 'blue',
};
storybook_1.storiesOf('Button', module)
    .add('Default', function () { return (React.createElement(Demo_1.default, null,
    React.createElement(Button_1.Button, null, "Default"),
    React.createElement(Button_1.Button, { isDisabled: true }, "Disabled"),
    React.createElement(Button_1.Button, { style: demoStyle }, "Styled"))); })
    .add('Primary', function () { return (React.createElement(Demo_1.default, null,
    React.createElement(Button_1.Button, { isPrimary: true }, "Primary"),
    React.createElement(Button_1.Button, { isPrimary: true, isDisabled: true }, "Disabled"))); })
    .add('Flat', function () { return (React.createElement(Demo_1.default, null,
    React.createElement(Button_1.Button, { isFlat: true }, "Flat"),
    React.createElement(Button_1.Button, { isFlat: true, isDisabled: true }, "Flat Disabled"),
    React.createElement(Button_1.Button, { isPrimary: true, isFlat: true }, "Primary Flat"),
    React.createElement(Button_1.Button, { isPrimary: true, isFlat: true, isDisabled: true }, "Primary Flat Disabled"))); })
    .add('Loading', function () { return (React.createElement(Demo_1.default, null,
    React.createElement(Button_1.Button, { isLoading: true }, "Loading"),
    React.createElement(Button_1.Button, { isDisabled: true, isLoading: true }, "Loading Disabled"),
    React.createElement(Button_1.Button, { isFlat: true, isLoading: true }, "Loading Flat"),
    React.createElement(Button_1.Button, { isFlat: true, isLoading: true, isDisabled: true }, "Loading Flat Disabled"))); });
//# sourceMappingURL=Button.page.js.map