"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var storybook_1 = require("@devexperts/tools/dist/utils/storybook");
var Demo_1 = require("../demo/Demo");
var LoadingIndication_1 = require("./LoadingIndication");
var pure_1 = require("../../utils/pure");
var Button_1 = require("../Button/Button");
var css = require("./LoadingIndication.page.styl");
var LoadingIndicationPage = /** @class */ (function (_super) {
    tslib_1.__extends(LoadingIndicationPage, _super);
    function LoadingIndicationPage() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            isVisible: false,
        };
        _this.onToggleClick = function () {
            _this.setState({
                isVisible: !_this.state.isVisible,
            });
        };
        return _this;
    }
    LoadingIndicationPage.prototype.render = function () {
        return (React.createElement(Demo_1.default, null,
            React.createElement("section", { className: css.section },
                React.createElement("p", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla vel elit sit amet purus sollicitudin sagittis eget a nibh. Fusce a ornare odio, fringilla lobortis dui. Vivamus in fermentum sem. Vivamus pulvinar varius blandit. Sed nec purus posuere, molestie ante vitae, aliquam sem. Donec mauris dui, venenatis eu metus vel, scelerisque malesuada sem. Ut interdum"),
                React.createElement(LoadingIndication_1.LoadingIndication, { isVisible: this.state.isVisible, hideTimer: 2000 })),
            React.createElement(Button_1.Button, { onClick: this.onToggleClick }, "Toggle")));
    };
    LoadingIndicationPage = tslib_1.__decorate([
        pure_1.PURE
    ], LoadingIndicationPage);
    return LoadingIndicationPage;
}(React.Component));
storybook_1.storiesOf('LoadingIndication', module).add('default', function () { return React.createElement(LoadingIndicationPage, null); });
//# sourceMappingURL=LoadingIndication.page.js.map