import { TLoadingIndicatorProps } from '../LoadingIndicator/LoadingIndicator';
import { ComponentClass, EventHandler, MouseEvent, TouchEvent } from 'react';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare const BUTTON: symbol;
export declare type TFullButtonProps = {
    theme: {
        container?: string;
        container_primary?: string;
        container_flat?: string;
        container_isLoading?: string;
        loadingIndicator?: string;
        LoadingIndicator?: TLoadingIndicatorProps['theme'];
    };
    isDisabled?: boolean;
    isFlat?: boolean;
    isLoading?: boolean;
    isPrimary?: boolean;
    style?: {};
    type?: string;
    onMouseLeave?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onMouseDown?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onMouseUp?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onMouseEnter?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onMouseMove?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onMouseOut?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onMouseOver?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onDoubleClick?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onDrag?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onDragEnd?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onDragEnter?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onDragExit?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onDragLeave?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onDragOver?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onDragStart?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onDrop?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onClick?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onTouchCancel?: EventHandler<TouchEvent<HTMLButtonElement>>;
    onTouchEnd?: EventHandler<TouchEvent<HTMLButtonElement>>;
    onTouchMove?: EventHandler<TouchEvent<HTMLButtonElement>>;
    onTouchStart?: EventHandler<TouchEvent<HTMLButtonElement>>;
    tabIndex?: number;
};
export declare type TButtonProps = PartialKeys<TFullButtonProps, 'theme'>;
export declare const Button: ComponentClass<TButtonProps>;
