import * as React from 'react';
import { TButtonProps } from '../Button/Button';
import { ComponentClass, ComponentType } from 'react';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare const BUTTON_ICON: symbol;
export declare type TFullButtonIconProps = TButtonProps & {
    Button: ComponentType<TButtonProps>;
    icon: React.ReactNode;
    theme: {
        icon?: string;
    } & TButtonProps['theme'];
};
export declare type TButtonIconProps = PartialKeys<TFullButtonIconProps, 'Button' | 'theme'>;
export declare const ButtonIcon: ComponentClass<TButtonIconProps>;
