import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { ComponentClass } from 'react';
export declare const HIGHLIGHT: symbol;
export declare type TFullHighlightProps = {
    search: string;
    children: string;
    theme: {
        mark?: string;
        container?: string;
    };
};
export declare type THighlightProps = PartialKeys<TFullHighlightProps, 'theme' | 'search'>;
export declare const Highlight: ComponentClass<THighlightProps>;
