"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var storybook_1 = require("@devexperts/tools/dist/utils/storybook");
var Demo_1 = require("../demo/Demo");
var Button_1 = require("../Button/Button");
var Holdable_1 = require("./Holdable");
var HoldableDemo = /** @class */ (function (_super) {
    tslib_1.__extends(HoldableDemo, _super);
    function HoldableDemo() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            value: 0,
        };
        _this.onIncrementValue = function () {
            _this.setState({
                value: _this.state.value + 1,
            });
        };
        return _this;
    }
    HoldableDemo.prototype.render = function () {
        return (React.createElement(Demo_1.default, null,
            React.createElement(Holdable_1.Holdable, { onHold: this.onIncrementValue },
                React.createElement(Button_1.Button, { onClick: this.onIncrementValue }, "Click and hold: " + this.state.value))));
    };
    return HoldableDemo;
}(React.Component));
storybook_1.storiesOf('Holdable', module).add('default', function () { return React.createElement(HoldableDemo, null); });
//# sourceMappingURL=Holdable.page.js.map