"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var storybook_1 = require("@devexperts/tools/dist/utils/storybook");
var Demo_1 = require("../demo/Demo");
var List_1 = require("./List");
var css = require("./List.page.styl");
var theme = {
    container: css.list,
};
storybook_1.storiesOf('List', module).add('default', function () {
    return (React.createElement(Demo_1.default, null,
        React.createElement(List_1.List, { theme: theme },
            React.createElement(List_1.ListItem, null, "1.1"),
            React.createElement(List_1.ListItem, null, "1.2"),
            React.createElement(List_1.ListItemGroup, { header: 2 },
                React.createElement(List_1.List, null,
                    React.createElement(List_1.ListItem, null, "2.1"),
                    React.createElement(List_1.ListItem, null, "2.2"),
                    React.createElement(List_1.ListItemGroup, { header: 3 },
                        React.createElement(List_1.List, null,
                            React.createElement(List_1.ListItem, null, "3.1"),
                            React.createElement(List_1.ListItem, null, "3.2"),
                            React.createElement(List_1.ListItemGroup, { header: 4 },
                                React.createElement(List_1.List, null,
                                    React.createElement(List_1.ListItem, null, "4.1"),
                                    React.createElement(List_1.ListItem, null, "4.2"),
                                    React.createElement(List_1.ListItem, null, "4.3"))),
                            React.createElement(List_1.ListItem, null, "3.3"))))),
            React.createElement(List_1.ListItem, null, "1.3"))));
});
//# sourceMappingURL=List.page.js.map