"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var _a;
var Emitter_1 = require("@devexperts/utils/dist/emitter/Emitter");
var PropTypes = require("prop-types");
exports.EVENT_SCROLABLE = {
    RESIZE: 'EVENT_SCROLABLE:RESIZE',
    SCROLL: 'EVENT_SCROLLABLE:SROLL',
    SCROLLBAR_UPDATE: 'EVENT_SCROLABLE:SCROLLBAR_UPDATE',
};
var ScrollableInternalEmitter = /** @class */ (function (_super) {
    tslib_1.__extends(ScrollableInternalEmitter, _super);
    function ScrollableInternalEmitter() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ScrollableInternalEmitter.prototype.emit = function (event) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        this._emit.apply(this, [event].concat(args));
    };
    return ScrollableInternalEmitter;
}(Emitter_1.default));
exports.ScrollableInternalEmitter = ScrollableInternalEmitter;
exports.SCROLLABLE_CONTEXT_EMITTER = '__SCROLLABLE__CONTEXT_EMITTER__';
exports.CONTEXT_TYPES = (_a = {},
    _a[exports.SCROLLABLE_CONTEXT_EMITTER.toString()] = PropTypes.instanceOf(ScrollableInternalEmitter).isRequired,
    _a.size = PropTypes.shape({
        width: PropTypes.number,
        height: PropTypes.number,
    }),
    _a);
//# sourceMappingURL=Scrollable.const.js.map