import * as React from 'react';
export declare type TBarProps = {
    onBarDragStart: React.MouseEventHandler<HTMLDivElement>;
    onBarDrag: React.MouseEventHandler<HTMLDivElement>;
    theme: {
        container?: string;
    };
};
export declare type TBarState = {
    isDragging: boolean;
};
export declare class Bar extends React.Component<TBarProps, TBarState> {
    state: {
        isDragging: boolean;
    };
    render(): JSX.Element;
    onBarClick: React.MouseEventHandler<HTMLDivElement>;
    onDocumentSelectStart: React.MouseEventHandler<HTMLDivElement>;
    onDocumentMouseMove: React.MouseEventHandler<HTMLDivElement>;
    onDragEnd: React.MouseEventHandler<HTMLDivElement>;
    onDocumentMouseUp: React.MouseEventHandler<HTMLDivElement>;
    _stopDrag: React.MouseEventHandler<HTMLDivElement>;
    onBarMouseDown: React.MouseEventHandler<HTMLDivElement>;
}
