"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var pure_1 = require("../../utils/pure");
var Button_1 = require("../Button/Button");
var classnames = require("classnames");
var RawSelectboxAnchor = /** @class */ (function (_super) {
    tslib_1.__extends(RawSelectboxAnchor, _super);
    function RawSelectboxAnchor() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RawSelectboxAnchor.prototype.render = function () {
        var _a;
        var _b = this.props, theme = _b.theme, children = _b.children, valueText = _b.valueText, isDisabled = _b.isDisabled, isPrimary = _b.isPrimary, isLoading = _b.isLoading, caretIcon = _b.caretIcon, onClick = _b.onClick, isOpened = _b.isOpened;
        var buttonTheme = {
            container: classnames(theme.container, (_a = {},
                _a[theme.container_isOpened] = isOpened,
                _a)),
        };
        return (React.createElement(Button_1.Button, { onClick: onClick, isDisabled: isDisabled, isLoading: isLoading, isPrimary: isPrimary, theme: buttonTheme },
            React.createElement("div", { className: theme.content },
                React.createElement("div", { className: theme.text }, valueText),
                React.createElement("div", { className: theme.caret }, caretIcon)),
            children));
    };
    RawSelectboxAnchor = tslib_1.__decorate([
        pure_1.PURE
    ], RawSelectboxAnchor);
    return RawSelectboxAnchor;
}(React.Component));
exports.SelectboxAnchor = RawSelectboxAnchor;
//# sourceMappingURL=SelectboxAnchor.js.map