import * as React from 'react';
import { ComponentClass } from 'react';
import { TControlProps } from '../Control/Control';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { TSteppableInputProps } from '../SteppableInput/SteppableInput';
import { TTimeInputValue } from './TimeInput.model';
export declare const TIME_INPUT: symbol;
declare type TTimeInputConfig = {
    withSeconds?: boolean;
    withPeriodType?: boolean;
};
export declare type TTimeInputOwnProps = TTimeInputConfig & TSteppableInputProps & TControlProps<TTimeInputValue>;
export declare type TTimeInputFullProps = TTimeInputOwnProps & {
    SteppableInput: React.ComponentClass<TSteppableInputProps> | React.SFC<TSteppableInputProps>;
    theme: {
        inner?: string;
        inner_isFilled?: string;
        section?: string;
        section_isActive?: string;
        separator?: string;
        SteppableInput?: TSteppableInputProps['theme'];
    };
};
export declare type TTimeInputProps = PartialKeys<TTimeInputFullProps, 'theme' | 'SteppableInput'>;
export declare const TimeInput: ComponentClass<TTimeInputProps>;
export {};
