"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var react_1 = require("react");
var Demo_1 = require("../demo/Demo");
var ToggleButtons_1 = require("./ToggleButtons");
var Button_1 = require("../Button/Button");
var Link_1 = require("../Link/Link");
var pure_1 = require("../../utils/pure");
var storybook_1 = require("@devexperts/tools/dist/utils/storybook");
var ToggleButtonsPage = /** @class */ (function (_super) {
    tslib_1.__extends(ToggleButtonsPage, _super);
    function ToggleButtonsPage() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            toggleIndex: 0,
        };
        _this.onToggleChange = function (i) {
            _this.setState({
                toggleIndex: i,
            });
        };
        return _this;
    }
    ToggleButtonsPage.prototype.render = function () {
        return (React.createElement(Demo_1.default, null,
            React.createElement(ToggleButtons_1.ToggleButtons, { defaultIndex: 1, onChange: this.onToggleChange },
                React.createElement(Link_1.Link, null, "Toggle Link 1"),
                React.createElement(Link_1.Link, null, "Toggle Link 2"),
                React.createElement(Link_1.Link, null, "Toggle Link 3")),
            React.createElement(ToggleButtons_1.ToggleButtons, { toggleIndex: this.state.toggleIndex, isVertical: true, onChange: this.onToggleChange },
                React.createElement(Button_1.Button, null, "Toggle 4"),
                React.createElement(Button_1.Button, null, "Toggle 5"),
                React.createElement(Button_1.Button, null, "Toggle 6")),
            React.createElement(ToggleButtons_1.ToggleButtons, { toggleIndex: this.state.toggleIndex, isDisabled: true, onChange: this.onToggleChange },
                React.createElement(Button_1.Button, null, "Toggle 7"),
                React.createElement(Button_1.Button, null, "Toggle 8"),
                React.createElement(Button_1.Button, null, "Toggle 9")),
            React.createElement(ToggleButtons_1.ToggleButtons, { toggleIndex: this.state.toggleIndex, onChange: this.onToggleChange },
                React.createElement(Button_1.Button, { onClick: storybook_1.action('clicked on Toggle 10') }, "Toggle 10"),
                React.createElement(Button_1.Button, { onClick: storybook_1.action('clicked on Toggle 11') }, "Toggle 11"),
                React.createElement(Button_1.Button, { onClick: storybook_1.action('clicked on Toggle 12') }, "Toggle 12"))));
    };
    ToggleButtonsPage = tslib_1.__decorate([
        pure_1.PURE
    ], ToggleButtonsPage);
    return ToggleButtonsPage;
}(react_1.Component));
storybook_1.storiesOf('Toggle Buttons', module).add('default', function () { return React.createElement(ToggleButtonsPage, null); });
//# sourceMappingURL=ToggleButtons.page.js.map