"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("@storybook/react");
var get_render_remote_data_1 = require("../get-render-remote-data");
var React = require("react");
var react_2 = require("react");
var remote_data_ts_1 = require("@devexperts/remote-data-ts");
var Demo_1 = require("../../demo/Demo");
var DataStatePending = function () { return React.createElement("div", null, "pending"); };
var DataStateFailure = function (props) { return React.createElement("div", null,
    "error: ",
    props.error.message); };
var DataStateNoData = function () { return React.createElement("div", null, "no data"); };
var RenderRemoteData = get_render_remote_data_1.getRenderRemoteData({
    DataStatePending: DataStatePending,
    DataStateNoData: DataStateNoData,
    DataStateFailure: DataStateFailure,
});
var renderSuccess = function (data) { return React.createElement("div", null, data); };
react_1.storiesOf('RenderRemoteData', module).add('default', function () { return (React.createElement(react_2.Fragment, null,
    React.createElement(Demo_1.default, null,
        React.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.pending })),
    React.createElement(Demo_1.default, null,
        React.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.success('success') })),
    React.createElement(Demo_1.default, null,
        React.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.failure(new Error('some test error')) })),
    React.createElement(Demo_1.default, null,
        React.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.success(''), noData: function (data) { return !data; } })))); });
//# sourceMappingURL=render-remote-data.page.js.map